Bullet Collision Detection & Physics Library: MyInternalTriangleIndexCallback Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
MyInternalTriangleIndexCallback Struct Reference

`#include <btCompoundFromGimpact.h>`

Inheritance diagram for MyInternalTriangleIndexCallback:
[legend]
Collaboration diagram for MyInternalTriangleIndexCallback:
[legend]

## Public Member Functions
| MyInternalTriangleIndexCallback (btCompoundShape *colShape, const btGImpactMeshShape *meshShape, btScalar depth)
virtual void | internalProcessTriangleIndex (btVector3 *triangle, int partId, int triangleIndex)
Public Member Functions inherited from btInternalTriangleIndexCallback
virtual | ~btInternalTriangleIndexCallback ()

## Public Attributes
const btGImpactMeshShape * | m_gimpactShape
btCompoundShape * | m_colShape
btScalar | m_depth

## Detailed Description

Definition at line 46 of file btCompoundFromGimpact.h.

## Constructor & Destructor Documentation

## ◆ MyInternalTriangleIndexCallback()

MyInternalTriangleIndexCallback::MyInternalTriangleIndexCallback | ( | btCompoundShape * | colShape,
|  | const btGImpactMeshShape * | meshShape,
|  | btScalar | depth )
| inline

Definition at line 52 of file btCompoundFromGimpact.h.

## Member Function Documentation

## ◆ internalProcessTriangleIndex()

virtual void MyInternalTriangleIndexCallback::internalProcessTriangleIndex | ( | btVector3 * | triangle,
|  | int | partId,
|  | int | triangleIndex )
| inlinevirtual

Implements btInternalTriangleIndexCallback.

Definition at line 59 of file btCompoundFromGimpact.h.

## Member Data Documentation

## ◆ m_colShape

btCompoundShape* MyInternalTriangleIndexCallback::m_colShape

Definition at line 49 of file btCompoundFromGimpact.h.

## ◆ m_depth

btScalar MyInternalTriangleIndexCallback::m_depth

Definition at line 50 of file btCompoundFromGimpact.h.

## ◆ m_gimpactShape

const btGImpactMeshShape* MyInternalTriangleIndexCallback::m_gimpactShape

Definition at line 48 of file btCompoundFromGimpact.h.

The documentation for this struct was generated from the following file:

- btCompoundFromGimpact.h